Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

we must remove "Created by" 1

Status
Not open for further replies.

maslowth

Aerospace
Feb 10, 2013
5
0
0
US
Hello

Customer is asking for electronic solid models from our small company.

But we do not want to give out information that who designed this project.

Therefore we must remove "Created by" and dates from Feature Properties inside solidwork 2013 models.

Please let me know how we can remove mentioned information which we do not want to show.

Thanking you in anticipation.
 
Replies continue below

Recommended for you

Does the customer actually need your Feature Tree? if not, here are 3 options:
- Try a 'save as' STEP, IGES, etc... and send them dumb solids
- From an assembly file, you can do a 'save as' (Save as type) Part. This will give you an option of how much geometry you intend to share. Either Exterior faces, Exterior Components, or All components. This has proven enough for my customers in the past.
- Tools -> Defeature would be another option. This will create a new featureless solid model without the "inner-workings" of the model.

If your customer requires your feature tree, my only thought would be writing a macro, which I am no expert at...
 
Is the customer ever going to bother looking at this information? If so, what could the customer possibly do with this information?
 
I don't see that property being editable by API either. You may be able to search the binary files and replace characters, but I'd imagine that may corrupt the files.

You could use the following macro to hide all the features in the tree... They'd have to be pretty savvy to figure out what's going on.

Code:
Dim swApp As SldWorks.SldWorks
Dim swDoc As SldWorks.ModelDoc2
Dim swSelMgr As SldWorks.SelectionMgr
Dim swFeat As SldWorks.Feature
Dim i As Long

Sub main()

Set swApp = Application.SldWorks
Set swDoc = swApp.ActiveDoc
Set swSelMgr = swDoc.SelectionManager

Dim Ans As Long

Ans = MsgBox("Select ""Yes"" to hide all features, ""No"" to reveal.", vbYesNo, "Hide all features?")

If Ans = vbNo Then
    If MsgBox("Unhide all hidden features?", vbYesNo) = vbYes Then
        Set swFeat = swDoc.FirstFeature
        While Not swFeat Is Nothing
            swFeat.SetUIState swIsHiddenInFeatureMgr, False
            UnhideSubFeats swFeat
            Set swFeat = swFeat.GetNextFeature
        Wend
    End If
Else
    On Error Resume Next
        Set swFeat = swDoc.FirstFeature
        While Not swFeat Is Nothing
            Debug.Print "hide", swFeat.Name
            swFeat.SetUIState swIsHiddenInFeatureMgr, True
            Set swFeat = swFeat.GetNextFeature
        Wend
    On Error GoTo 0
End If

swDoc.EditRebuild3
End Sub

Sub UnhideSubFeats(myFeat As SldWorks.Feature)

Dim mySubFeat As SldWorks.Feature
Set mySubFeat = myFeat.GetFirstSubFeature
While Not mySubFeat Is Nothing
    mySubFeat.SetUIState swIsHiddenInFeatureMgr, False
    UnhideSubFeats mySubFeat
    Set mySubFeat = mySubFeat.GetNextSubFeature
Wend
End Sub

-handleman, CSWP (The new, easy test)
 
You can use a hex editor, such as XVI32, to change the content of the SolidWorks file, apparently without corrupting it but I certainly can't guarantee that. I've only done this to one file.

The attached picture shows the find/replace window setup to change all occurrences of the username "johndoe" to "zzzzzzz". Note that the text is stored in the file with a "00" pair between each letter. I would recommend at least maintaining the same number of characters when scrubbing your usernames.

Changing creation/modification dates is left as an exercise. Probably a much more difficult exercise.

-handleman, CSWP (The new, easy test)
 
 http://files.engineering.com/getfile.aspx?folder=a3bb9799-7de0-4ac2-929d-019d10a59027&file=Clipboard01.jpg
I guess there are only two questions left...
What's it worth to you?
How can you get your files to an expert?

-handleman, CSWP (The new, easy test)
 
Status
Not open for further replies.
Back
Top